Get sandbox status
Returns the current status of a sandbox.
Returns the current status of a sandbox.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.leap0.dev/v1/sandbox/string/"{ "id": "string", "template_id": "string", "mounts": [ { "id": "mnt-abc123", "type": "object-storage", "bucket": "string", "mount_path": "string", "prefix": "string", "read_only": true } ], "vcpu": 1, "memory": 1, "disk": 1, "timeout": 1, "state": "starting", "auto_pause": true, "created_at": "2019-08-24T14:15:22Z"}{ "message": "string"}{ "message": "string"}Create a sandbox POST
Create a new sandbox from a template. The sandbox will start booting immediately. A maximum of 3 sandboxes per organization is enforced.
Delete a sandbox DELETE
Delete a sandbox. Running sandboxes are terminated first. Paused sandboxes are deleted directly. Requests fail while the sandbox is in a transition state.

